Bug 117574 - module yenta_socket prevents APM suspend
module yenta_socket prevents APM suspend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-05 09:57 EST by Didier
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 02:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
relevant /var/log/messages extract (6.70 KB, text/plain)
2004-03-05 10:01 EST, Didier
no flags Details
lspci -v output (4.95 KB, text/plain)
2004-03-05 10:02 EST, Didier
no flags Details

  None (edit)
Description Didier 2004-03-05 09:57:22 EST
Description of problem:

When the PCMCIA yentaq_socket module is loaded, APM suspend ceases to
function.


Version-Release number of selected component (if applicable):

kernel-2.6.3-1.118


How reproducible:

Always


Steps to Reproduce:
1. modprobe pcmcia_core yenta_socket
2. apm -s
3.
  
Actual results:

LCD panel blanks, the system emits a dual beep (indicating APM
failure, I suppose), and immediately returns from the suspend state.


Expected results:

System should enter APM suspend state.


Additional info:

- hardware : IBM ThinkPad A30p
- ACPI suspend-to-ram/disk does not function, hence kernel parameter
'acpi=off' is invoked.
- rmmod'ing yenta_socket allows APM suspend, even from within X.
Comment 1 Didier 2004-03-05 10:01:25 EST
Created attachment 98316 [details]
relevant /var/log/messages extract

Timestamps :

09:45:25 - successful APM suspend & wakeup
09:46:25 - modprobe yenta_socket
09:46:44 - failed APM suspend
Comment 2 Didier 2004-03-05 10:02:45 EST
Created attachment 98317 [details]
lspci -v output
Comment 3 Didier 2004-03-11 05:42:48 EST
After upgrading to the "unified FC/EL" kernel-2.6.3-2.1.242,
resume-after-suspend hangs the machine hard in both APM and ACPI mode.

Mr. Nottingham suggests the 4G/4G mode to be the culprit.

Does it suffice to set CONFIG_X86_4G, CONFIG_X86_4G_VM_LAYOUT and
CONFIG_HIGHMEM4G to 'n' to be able to test a 4G-disabled kernel ?

Comment 4 Didier 2004-04-01 08:46:37 EST
Erroneous behaviour still present in kernel-2.6.4-1.300 with disabled
4G/4G (bug #117032, comment #18) in APM mode (ACPI mode does not
exhibit this problem).


Comment 5 Didier 2004-05-06 08:40:55 EDT
Tested with FC2t3, kernel 2.6.5-1.349 : the system still refuses to
fully suspend when module 'yenta_socket' is loaded.

Contrary to previous kernels, the system seems to partially suspend,
that is : the screen blanks, drive & fans seem to go down, but the
moon crest symbol on the laptop (visually indicating the suspend
modus) does not light up.

System suspends perfectly when yenta_socket is rmmod'ed.
Comment 6 Dave Jones 2004-10-29 23:58:54 EDT
is this still causing problems with current kernels ?
Comment 7 Didier 2004-11-03 09:21:13 EST
Having not used APM for a while (trying to get stable ACPI running),
I'll have a look at this with the kernel as supplied in the FC3 final
release.
Comment 8 Didier 2004-11-22 08:02:20 EST
Problem still present in kernel 2.6.9-1.681_FC3, with a regression,
i.e. the behaviour is again as described in the initial description
(no suspend, dual beep), regressing from comment #4 (partial suspend).
Comment 9 Dave Jones 2004-12-08 01:56:27 EST
fixed in the -698 kernel in updates-testing ?
Comment 10 Didier 2004-12-08 07:10:51 EST
Tested with kernel-2.6.9-1.698_FC3 ;

- Without yenta_socket loaded, 'apm -s' works fine ;

- With yenta-socket loaded, 'apm -s' seems to suspend the machine (LCD backlight
switches off, drives seem to spin down), but the "suspend" mooncrest symbol on
the laptop does not light up ; apmd reports successfull suspend/resume cycle.

/var/log/messages :
Dec  8 11:56:47 dmbr042 network: Shutting down loopback interface:  succeeded
Dec  8 11:56:47 dmbr042 apmd[1878]: User Suspend
Dec  8 11:57:48 dmbr042 kernel: PCI: Found IRQ 11 for device 0000:00:1d.0
Dec  8 11:57:48 dmbr042 kernel: PCI: Sharing IRQ 11 with 0000:01:00.0
Dec  8 11:57:48 dmbr042 kernel: PCI: Sharing IRQ 11 with 0000:02:00.0
[... other IRQ 11 sharing messages]
Dec  8 11:57:55 dmbr042 kernel: PCI: Sharing IRQ 11 with 0000:02:02.0
Dec  8 11:57:57 dmbr042 netfs: Mounting other filesystems:  succeeded
Dec  8 11:57:57 dmbr042 netfs: Mounting other filesystems:  succeeded
Dec  8 11:57:57 dmbr042 apmd[1878]: Normal Resume after 00:01:10 (100% unknown)
AC power
Comment 11 Didier 2005-04-26 04:29:11 EDT
As I recently upgraded my IBM ThinkPad A30p platform to a more recent notebook
(Dell Inspiron 9300), which does not seem to support APM, I am unable to verify
whether this issue is fixed in the latest kernel packages.

Note You need to log in before you can comment on or make changes to this bug.